org.eclipse.oomph.targlets

## Interface BuckminsterGenerator

- All Superinterfaces:
    EObject, IUGenerator, ModelElement, Notifier
  All Known Implementing Classes:
    BuckminsterGeneratorImpl

      public interface BuckminsterGenerator
      extends IUGenerator

  A representation of the model object 'Buckminster Generator'.

  The following features are supported:

  - `Save As Component`
  See Also:
    `TargletPackage.getBuckminsterGenerator()`
  Generated
  Model

- - ### Field Summary

    - ### Fields inherited from interface org.eclipse.oomph.targlets.IUGenerator

      `DEFAULTS`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isSaveAsComponent()` Returns the value of the 'Save As Component' attribute.
    `void` | `setSaveAsComponent(boolean value)` Sets the value of the '`Save As Component`' attribute.

    - ### Methods inherited from interface org.eclipse.oomph.targlets.IUGenerator

      `generateIUs, modifyIU`

    - ### Methods inherited from interface org.eclipse.oomph.base.ModelElement

      `getAnnotation, getAnnotations`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### isSaveAsComponent

          boolean isSaveAsComponent()

      Returns the value of the 'Save As Component' attribute.

      If the meaning of the 'Save As Component' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Save As Component' attribute.
      See Also:
        `setSaveAsComponent(boolean)`, `TargletPackage.getBuckminsterGenerator_SaveAsComponent()`
      Generated
      Model

    - #### setSaveAsComponent

          void setSaveAsComponent(boolean value)

      Sets the value of the '`Save As Component`' attribute.
      Parameters:
        `value` - the new value of the 'Save As Component' attribute.
      See Also:
        `isSaveAsComponent()`
      Generated

Copyright (c) 2014 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v2.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v20.html